<?php
namespace app\admin\controller;
use think\Config;
use think\Db;

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2018/6/22
 * Time: 11:25
 */
class Website extends BaseController{

    /**
     * 站点会员配置页面
     */
    public function index(){

        return $this->fetch();
    }

    /**
     * ajax获取配置信息
     */
    public function lst(){
        $page_start = input('get.iDisplayStart');
        $page_size = input('get.iDisplayLength');
        $lst = Db::name('web')->field('id,web_type,username,password,limit_times,times,power,update_time,is_valid,is_use')->order('web_type')->limit($page_start, $page_size)->select();
        $web_name = Config::get('web_site_name');
        $is_yes_no = Config::get('dir_yes_no');
        foreach ($lst as $k=>$v){
            $lst[$k]['web_type'] = $web_name[$v['web_type']];
            $lst[$k]['is_valid'] = $is_yes_no[$v['is_valid']];
        }
        $count = Db::name('web')->count('id');
        $res = [
            'sEcho' => input('get.sEcho'),
            'iTotalRecords' => $count,
            'iTotalDisplayRecords' => $count,
            'aData' => $lst
        ];
        return json($res);
    }

    /**
     * 新增或修改站点会员信息
     */
    public function add_edit(){
        $id = input('get.id');
        $vo = null;
        if(!empty($id)){
            $vo = Db::name('web')->where(['id'=>$id])->find();
        }
        $param = input('post.');
        if($param){
            if(isset($param['id']) && !empty($param['id'])){//更新
                $param['update_time'] = date('Y-m-d H:i:s');
                Db::name('web')->where(['id'=>$param['id']])->update($param);
                return json(['status'=>1, 'msg'=>'更新成功']);
            }else{//新增
                unset($param['id']);
                $param['create_time'] = date('Y-m-d H:i:s');
                $param['update_time'] = date('Y-m-d H:i:s');
                Db::name('web')->insert($param);
                return json(['status'=>1, 'msg'=>'新增成功']);
            }
        }
        $site = Config::get('web_site_name');
        $arr = [];
        foreach ($site as $k=>$v){
            $arr[] = [
                'k' => $k,
                'v' => $v
            ];
        }
        $this->assign('site', $arr);
        $this->assign('vo', $vo);
        return $this->fetch();
    }

    /**
     * 删除站点会员信息
     */
    public function del(){
        $id = input('post.id');
        Db::name('web')->where(['id'=>$id])->delete();
        return json(['status'=>1, 'msg'=>'删除成功']);
    }
}