<?php
namespace app\admin\controller;
use think\Controller;
use think\Request;

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2017/11/30
 * Time: 11:43
 */
class BaseController extends Controller{
    public function _initialize(){
        parent::_initialize();
        $request = Request::instance();
        $controller_name = strtolower($request->controller());
        $action_name = strtolower($request->action());
        $action = $controller_name . '/' . $action_name;

        $white_list = Config('admin_white_list');
        $found = FALSE;
        foreach ($white_list as $url) {
            if (strtolower($url) == $action) {
                $found = TRUE;
            }
        }
        if (!$found && !is_logged_on_admin()) {
            session ('login_last_url', get_current_url () );
            $this->error('请登录',url('admin/login'));
        }
    }
}